﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using TemplateBuilder;
using TemplateBuilder.Model.Services;

namespace DocsGenTest.Unit
{
    [TestClass]
    public class MetadataLoaderTest
    {
        [TestMethod]
        [DataRow("..\\..\\test_data\\example_metadata_correct_1.json")]
        public void LoadMetadataJson_WellFormedJSON_True(string filePathJson)
        {
            MetadataLoader metadataLoader = new MetadataLoader();
            metadataLoader.LoadMetadataJson(filePathJson);

            Assert.IsNotNull(metadataLoader.Root);
        }

        [TestMethod]
        [DataRow("..\\..\\test_data\\example_metadata_wrong.json")]
        [ExpectedException(typeof(MetadataException))]
        public void LoadMetadataJson_NonWellFormedJSON_MetadataException(string filePathJson)
        {
            MetadataLoader metadataLoader = new MetadataLoader();
            metadataLoader.LoadMetadataJson(filePathJson);
        }
    }
}
