﻿using GenLib.Entity;

namespace GenLib.Builder
{
    /// <summary>
    /// This class is Builder class for Text entity.
    /// It provides to going through the parsing tree. 
    /// </summary>
    class TextBuilder : Builder
    {
        /// <summary>
        /// This property contains Text entity.
        /// </summary>
        public Text Text { get; set; }

        /// <summary>
        /// Constructor of the TextBuilder class.
        /// </summary>
        /// <param name="text">Text entity.</param>
        public TextBuilder(Text text)
        {
            Text = text;
        }

        /// <summary>
        /// This method adds current text to final text of generated
        /// document.
        /// </summary>
        public void Build()
        {
            AddChar(Text.Character);
        }
    }
}
