﻿using GenLib.Entity;

namespace GenLib.Document.Entity
{
    /// <summary>
    /// This class holds parameters of tableforeach directive in Word document to transfer them
    /// into TemplateBuilder.
    /// </summary>
    public class DocumentParamsTableForeachDirective : DocumentParams
    {
        /// <summary>
        /// Identifier of control variable of foreach directive in Word document.
        /// </summary>
        public string ControlVariableId { get; private set; }

        /// <summary>
        /// Identifier of control array of foreach directive in Word document.
        /// </summary>
        public string ControlArray { get; private set; }

        /// <summary>
        /// Constructor of the DocumentParamsTableForeachDirective class.
        /// </summary>
        /// <param name="controlVariableId">Identifier of control variable of foreach directive in Word document.</param>
        /// <param name="controlArray">Identifier of control array of foreach directive in Word document.</param>
        public DocumentParamsTableForeachDirective(Variable controlVariableId, Variable controlArray)
        {
            ControlVariableId = controlVariableId.ToString();
            ControlArray = controlArray.ToString();
        }
    }
}
