﻿using GenLib.Builder;
using GenLib.Data;
using GenLib.Entity;

namespace GenLib
{
    /// <summary>
    /// This class in main class for Builder classes. 
    /// It provides to going through the parsing tree.
    /// </summary>
    class DocumentBuilder
    {
        /// <summary>
        /// This property contains Parse entity.
        /// </summary>
        private Parse _parse;

        /// <summary>
        /// This property contains root of input data.
        /// </summary>
        private DataObject _dataRoot;

        /// <summary>
        /// Constructor of the DocumentBuilder class.
        /// </summary>
        /// <param name="parse">Parse entity.</param>
        /// <param name="dataRoot">Root of the input data.</param>
        public DocumentBuilder(Parse parse, DataObject dataRoot)
        {
            _parse = parse;
            _dataRoot = dataRoot;
        }

        /// <summary>
        /// This method calls going through the parsing tree 
        /// for the Parse entity.
        /// </summary>
        /// <returns>Text of the generated document.</returns>
        public string BuildText()
        {
            Builder.Builder.FinalText = "";

            ParseBuilder parseBuilder = new ParseBuilder(_parse, _dataRoot);
            parseBuilder.Build();

            return Builder.Builder.FinalText;
        }

    }
}
