﻿namespace GenLib.Entity
{
    /// <summary>
    /// This class holds range of current element in Word document.
    /// </summary>
    public class ElementRange
    {
        /// <summary>
        /// This property contains start index of the range.
        /// </summary>
        public int Start { get; set; }

        /// <summary>
        /// This property contains end index of the range.
        /// </summary>
        public int Stop { get; set; }

        /// <summary>
        /// This property contains range of current element as an instance of Word Range class.
        /// </summary>
        public Microsoft.Office.Interop.Word.Range Range { get; set; }

        /// <summary>
        /// Constructor of the ElementRange class.
        /// </summary>
        /// <param name="start">Start index of the range.</param>
        /// <param name="stop">End index of the range.</param>
        public ElementRange(int start, int stop)
        {
            Start = start;
            Stop = stop;
        }

    }
}
