﻿namespace GenLib.Entity
{
    /// <summary>
    /// EscapedChar entity. It relates with 'ESCAPED_CHAR' rule in the grammar.
    /// </summary>
    class EscapedChar : Atom
    {
        /// <summary>
        /// This property contains escaped character of the text.
        /// </summary>
        public char Character { get; set; }

        /// <summary>
        /// Constructor of the EscapedChar class.
        /// </summary>
        /// <param name="character">Escaped character of the text.</param>
        public EscapedChar(char character)
        {
            Character = character;
            Type = EAtomType.ESCAPED_CHAR;
        }
    }

}
