﻿namespace GenLib.Entity
{
    /// <summary>
    /// This class is entity for method parameter.
    /// </summary>
    public class Parameter
    {
        /// <summary>
        /// This property contains method parameter in string data type.
        /// </summary>
        public string ValueStr { get; set; }

        /// <summary>
        /// This property contains method parameter in integer data type.
        /// </summary>
        public int ValueInt { get; set; }

        /// <summary>
        /// This property contains flag: true - if method parameter is integer; false - otherwise.
        /// </summary>
        public bool IsInt { get; set; }

        /// <summary>
        /// Constructor of the Parameter class.
        /// </summary>
        /// <param name="value">Value of method parameter.</param>
        public Parameter(string value)
        {
            ValueStr = value;
            IsInt = false;
        }

        /// <summary>
        /// Constructor of the Parameter class.
        /// </summary>
        /// <param name="value">Value of method parameter.</param>
        public Parameter(int value)
        {
            ValueInt = value;
            IsInt = true;
        }
    }
}
