﻿using System;

namespace GenLib
{
    /// <summary>
    /// This class represents exceptions in data.
    /// </summary>
    [Serializable]
    public class DataException : Exception
    {
        /// <summary>
        /// Constructor of the DataException class.
        /// </summary>
        public DataException() : base() { }

        /// <summary>
        /// Constructor of the DataException class.
        /// </summary>
        /// <param name="message">Error message.</param>
        public DataException(string message) : base(message) { }

        /// <summary>
        /// Constructor of the DataException class.
        /// </summary>
        /// <param name="message">Error message.</param>
        /// <param name="inner">Inner exception.</param>
        public DataException(string message, Exception inner) : base(message, inner) { }

        /// <summary>
        /// Constructor of the DataException class.
        /// </summary>
        /// <param name="info">Stores all the data needed to serialize or deserialize an object.</param>
        /// <param name="context">Describes the source and destination of a given serialized stream, and provides an additional caller-defined context.</param>
        protected DataException(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
    }
}
