﻿namespace GenLib
{
    /// <summary>
    /// This static class contains error strings used in exceptions.
    /// </summary>
    public static class ErrorType
    {
        /// <summary>
        /// Type of error: Specified data object not found.
        /// </summary>
        public static readonly string DATA_OBJECT_NOT_FOUND = "Specified data object not found.";

        /// <summary>
        /// Type of error: Controlling variable for foreach directive not found.
        /// </summary>
        public static readonly string CONTROLLING_VARIABLE_FE_NOT_FOUND = "Controlling variable for foreach directive not found.";

        /// <summary>
        /// Type of error: Table for table foreach is not consistent.
        /// </summary>
        public static readonly string INCONSISTENT_TABLE = "Table for table foreach is not consistent.";

        /// <summary>
        /// Type of error: File not found.
        /// </summary>
        public static readonly string FILE_NOT_FOUND = "File not found.";

        /// <summary>
        /// Type of error: Function must be followed by function only.
        /// </summary>
        public static readonly string FUNCTION_FOLLOWED_BY_NON_FUNCTION = "Function must be followed by function only.";

        /// <summary>
        /// Type of error: Parenthesis missing.
        /// </summary>
        public static readonly string OPAR_MISSING = "Parenthesis missing.";

        /// <summary>
        /// Type of error: Formal language construction is not valid.
        /// </summary>
        public static readonly string INCONSISTENT_FORMAL_VISITOR = "Formal language construction is not valid.";

        /// <summary>
        /// Type of error: Datetime value is not valid.
        /// </summary>
        public static readonly string DATETIME_VALUE_NOT_VALID = "Datetime value is not valid.";

        /// <summary>
        /// Type of error: Datetime format is not valid.
        /// </summary>
        public static readonly string DATETIME_FORMAT_NOT_VALID = "Datetime format is not valid.";

        /// <summary>
        /// Type of error: Controlling variable for tableforeach directive not found.
        /// </summary>
        public static readonly string CONTROLLING_VARIABLE_TFE_NOT_FOUND = "Controlling variable for tableforeach directive not found.";

        /// <summary>
        /// Type of error: Attribute does not exist.
        /// </summary>
        public static readonly string ATTRIBUTE_DOES_NOT_EXIST = "Attribute does not exist.";

        /// <summary>
        /// Type of error: Property does not exist.
        /// </summary>
        public static readonly string PROPERTY_DOES_NOT_EXIST = "Property does not exist.";

        /// <summary>
        /// Type of error: Variable does not exist.
        /// </summary>
        public static readonly string VARIABLE_DOES_NOT_EXIST = "Variable does not exist.";

        /// <summary>
        /// Type of error: Method is not allowed at this context.
        /// </summary>
        public static readonly string METHOD_IS_NOT_ALLOWED = "Method is not allowed at this context.";

        /// <summary>
        /// Type of error: Method is expected, but not found.
        /// </summary>
        public static readonly string METHOD_IS_EXPECTED = "Method is expected, but not found.";

        /// <summary>
        /// Type of error: Current date method is expected, but not found.
        /// </summary>
        public static readonly string METHOD_IS_EXPECTED_CURRENT_DATE = "Current date method is expected, but not found.";

        /// <summary>
        /// Type of error: Invalid format date method.
        /// </summary>
        public static readonly string METHOD_IS_EXPECTED_FORMAT_DATE = "Invalid format date method.";

        /// <summary>
        /// Type of error: Data JSON file is invalid.
        /// </summary>
        public static readonly string DATA_FILE_INVALID_STRUCTURE = "Data JSON file is invalid.";
    }
}
