﻿using Antlr4.Runtime;
using Antlr4.Runtime.Misc;
using GenLib.Entity;
using System;

namespace GenLib.Util
{
    /// <summary>
    /// This static class contains utilities for elements in Word document.
    /// </summary>
    public static class ElementUtil
    {
        /// <summary>
        /// This method gets range of the element in current Word document based on a rule context.
        /// </summary>
        /// <param name="context">Context of the current grammar rule.</param>
        /// <returns>Range of the element in Word document.</returns>
        public static ElementRange GetElementRange([NotNull] ParserRuleContext context)
        {
            string rangeStartStr = context.Start.StartIndex.ToString();
            string rangeStopStr = context.Stop.StopIndex.ToString();

            int rangeStartInt = Int32.Parse(rangeStartStr);
            int rangeStoptInt = Int32.Parse(rangeStopStr);

            return new ElementRange(rangeStartInt, rangeStoptInt);
        }
    }
}
