﻿using Antlr4.Runtime.Misc;
using GenLib.Entity;

namespace GenLib.Visitor
{
    /// <summary>
    /// This class is Visitor class for 'parameters' rule of ANTLR grammar. It provides to create
    /// parsing tree using ANTLR interface DocsGenParserBaseVisitor.
    /// </summary>
    class ParametersVisitor : DocsGenParserBaseVisitor<Parameter>
    {
        /// <summary>
        /// This method creates Parameter entity and specified attributes necessary for this entity
        /// withing the parsing of 'parameters' rule of ANTLR grammar. Then this method
        /// calls processing of 'parameter' rule of ANTLR grammar.
        /// </summary>
        /// <param name="context">Context of 'parameters' rule.</param>
        /// <returns>New Parameter entity.</returns>
        public override Parameter VisitParameters([NotNull] DocsGenParser.ParametersContext context)
        {
            return new ParameterVisitor().Visit(context.parameter());
        }
    }
}
