﻿using Antlr4.Runtime.Misc;
using GenLib.Entity;

namespace GenLib.Visitor
{
    /// <summary>
    /// This class is Visitor class for Variable entity. It provides to create parsing tree using
    /// ANTLR interface DocsGenParserBaseVisitor.
    /// </summary>
    class VariableVisitor : DocsGenParserBaseVisitor<Variable>
    {
        /// <summary>
        /// This method creates Variable entity and specified attributes necessary for this entity.
        /// </summary>
        /// <param name="context">Context of Variable entity.</param>
        /// <returns>New Variable entity.</returns>
        public override Variable VisitVariable([NotNull] DocsGenParser.VariableContext context)
        {
            string identifier;

            if (context.id() != null)
            {
                identifier = context.id().GetText();
            }
            else {
                identifier = context.REFERENCE().GetText().Remove(0, 1);
            }

            return new Variable(identifier);
        }
    }
}
