﻿using System;

namespace TemplateBuilder
{
    /// <summary>
    /// This class represents exceptions in format of datetime.
    /// </summary>
    [Serializable]
    public class DateTimeFormatException : Exception
    {
        /// <summary>
        /// Constructor of the DateTimeFormatException class.
        /// </summary>
        public DateTimeFormatException() : base() { }

        /// <summary>
        /// Constructor of the DateTimeFormatException class.
        /// </summary>
        /// <param name="message">Error message.</param>
        public DateTimeFormatException(string message) : base(message) { }

        /// <summary>
        /// Constructor of the DateTimeFormatException class.
        /// </summary>
        /// <param name="message">Error message.</param>
        /// <param name="inner">Inner exception.</param>
        public DateTimeFormatException(string message, Exception inner) : base(message, inner) { }

        /// <summary>
        /// Constructor of the DateTimeFormatException class.
        /// </summary>
        /// <param name="info">Stores all the data needed to serialize or deserialize an object.</param>
        /// <param name="context">Describes the source and destination of a given serialized stream, and provides an additional caller-defined context.</param>
        protected DateTimeFormatException(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
    }
}
