﻿namespace TemplateBuilder
{
    /// <summary>
    /// This static class contains error strings used in exceptions.
    /// </summary>
    public static class ErrorType
    {
        /// <summary>
        /// Type of error: Name of an attrbiute must be unique at the same level.
        /// </summary>
        public static readonly string METADATA_UNIQUE_NAME_ATTR = "Name of an attrbiute must be unique at the same level.";

        /// <summary>
        /// Type of error: Name of an object must be unique at the same level.
        /// </summary>
        public static readonly string METADATA_UNIQUE_NAME_OBJ = "Name of an object must be unique at the same level.";

        /// <summary>
        /// Type of error: TreeNode is not valid.
        /// </summary>
        public static readonly string TREE_NODE_NOT_VALID = "TreeNode is not valid.";

        /// <summary>
        /// Type of error: Incorrect count of attributes.
        /// </summary>
        public static readonly string INVALID_NUM_OF_ATTRS = "Incorrect count of attributes.";

        /// <summary>
        /// Type of error: Empty attributes.
        /// </summary>
        public static readonly string ATTRIBUTES_EMPTY = "Empty attributes.";

        /// <summary>
        /// Type of error: Data object not found.
        /// </summary>
        public static readonly string DATA_OBJECT_NOT_FOUND = "Data object not found.";

        /// <summary>
        /// Type of error: Table for table foreach is not consistent.
        /// </summary>
        public static readonly string INCONSISTENT_TABLE = "Table for table foreach is not consistent.";

        /// <summary>
        /// Type of error: Metadata JSON file is invalid.
        /// </summary>
        public static readonly string METADATA_FILE_INVALID_STRUCTURE = "Metadata JSON file is invalid.";

        /// <summary>
        /// Type of error: Datetime format is not valid.
        /// </summary>
        public static readonly string DATETIME_FORMAT_NOT_VALID = "Datetime format is not valid.";
    }
}
