﻿namespace TemplateBuilder.Model.Entities.GeneralObjects.GeneralObjectDirectives
{
    /// <summary>
    /// This class represents include directive.
    /// </summary>
    class GeneralObjectIncludeDirective
    {
        /// <summary>
        /// Prefix of the include directive language construction.
        /// </summary>
        private static readonly string INCLUDE_MARK = "#include";

        /// <summary>
        /// Parameter of the include directive.
        /// </summary>
        private string Parameter { get; set; }

        /// <summary>
        /// Constructor of the GeneralObjectIncludeDirective class.
        /// </summary>
        /// <param name="parameter">Parameter of the include directive.</param>
        public GeneralObjectIncludeDirective(string parameter)
        {
            Parameter = parameter;
        }

        /// <summary>
        /// This method returns language construction of the include directive.
        /// </summary>
        /// <returns>Language construction of the include directive.</returns>
        public override string ToString()
        {
            return INCLUDE_MARK + " (\"" + Parameter + "\")";
        }
    }
}
