﻿using System.Collections.Generic;

namespace TemplateBuilder.Model.Entities
{
    /// <summary>
    /// This class represents MetadataObject in metadata JSON file.
    /// </summary>
    public class MetadataObject
    {
        /// <summary>
        /// Name of the metadata object.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Label of the metadata object.
        /// </summary>
        public string Label { get; set; }

        /// <summary>
        /// Flag, true - if descendats are represented as an array, false - otherwise.
        /// </summary>
        public bool IsArray { get; set; }

        /// <summary>
        /// Flag, true - if current object is expanded in Metadata Tree View, false - otherwise.
        /// </summary>
        public bool IsExpanded { get; set; }

        /// <summary>
        /// List of metadata attributes.
        /// </summary>
        public List<MetadataAttribute> Attributes { get; set; }

        /// <summary>
        /// List of metadata objects.
        /// </summary>
        public List<MetadataObject> Descendants { get; set; }

    }
}
